Skip to main content
POST
/
cdr
/
v1
/
clinic
Create Clinic
curl --request POST \
  --url https://api.eka.care/cdr/v1/clinic/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "name": "Sunrise Clinic",
  "address": "123 Main Street, Block A",
  "partner_id": "Clinic_321_Indore",
  "pincode": "560001",
  "contact": "9876543210",
  "doctor_ids": [
    "171266028552522",
    "171266028552523"
  ],
  "partner_doctor_ids": [
    "Part_Doc_1",
    "Part_Doc_2"
  ],
  "city": "Bangalore",
  "state": "Karnataka"
}
'
{
  "status": "success",
  "ekaid": "do1769174683513"
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-may2-april-monthly-1777856908.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Body

application/json

Request body for creating a clinic

name
string
required

Name of the clinic

Example:

"Sunrise Clinic"

address
string
required

Address of the clinic

Example:

"123 Main Street, Block A"

partner_id
string

Unique identifier of the clinic in the partner’s system

Example:

"Clinic_321_Indore"

pincode
string

Pincode of the clinic

Example:

"560001"

contact
string

Contact number (10 or 11 digits)

Pattern: ^\d{10,11}$
Example:

"9876543210"

doctor_ids
string[]

List of doctor Eka IDs to assign to this clinic

Example:
["171266028552522", "171266028552523"]
partner_doctor_ids
string[]

List of partner doctor IDs to assign to this clinic

Example:
["Part_Doc_1", "Part_Doc_2"]
city
string

City name

Example:

"Bangalore"

state
string

State name

Example:

"Karnataka"

Response

Created - Clinic successfully created

status
string
Example:

"success"

ekaid
string

Unique identifier for the created doctor

Example:

"do1769174683513"